package com.casic.missiles.mapper.meter;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.casic.missiles.dto.business.labExecutive.SampleHandOutInitListResponse;
import com.casic.missiles.dto.cockpit.LabAssetsResponse;
import com.casic.missiles.model.meter.MeterOrganize;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 计量管理-计量组织-部门管理/科室管理/工程组管理 Mapper 接口
 * </p>
 *
 * @author wangpeng
 * @since 2022-11-27
 */
public interface MeterOrganizeMapper extends BaseMapper<MeterOrganize> {

    Long selectMaxOrganizeNo();

    List<SampleHandOutInitListResponse> selectListByLabCapacity(@Param("list") List<String> list);

    Long selectDeptDirectorByDeptId(@Param("deptId") Long deptId);

    List<LabAssetsResponse> selectStaffCount();
}
